public class Test {

    public static void main(String[] args) {

        InstrumentSpec gspec =
           new GuitarSpec(
               Builder.FENDER,
               "Stratocaster",
               Type.ELECTRIC,
               6,
               Wood.BRAZILIAN_ROSEWOOD,
               Wood.ALDER);

        InstrumentSpec mspec =
           new MandolinSpec(
               Builder.MARTIN,
               "WayCoolMandolin",
               Type.ACOUSTIC,
               Style.A,
               Wood.ALDER,
               Wood.ALDER);

        InstrumentSpec mspec2 =
           new MandolinSpec(
               Builder.MARTIN,
               "EvenCoolerMandolin",
               Type.ACOUSTIC,
               Style.A,
               Wood.ALDER,
               Wood.ALDER);

        Instrument guitar   = new Guitar("001", 1000.0, (GuitarSpec)gspec);
        Instrument mandolin = new Mandolin("002", 2000.0, (MandolinSpec)mspec);

        System.out.println();
        InstrumentSpec spec = guitar.getSpec();
        System.out.println();
        spec = mandolin.getSpec();
        System.out.println();
        System.out.println("Specs Match?: " + mspec.matches(gspec));
        System.out.println();

        System.out.println();
        System.out.println("Specs Match?: " + mspec.matches(mspec2));
        System.out.println();
    }

}
